

.include 	"tn13Adef.inc"		;  AtTiny13


.def	Temp=R16
.def	Temp1=R17
.def	Temp2=R18
.def	Temp3=R19
.def	Temp4=R20
.def	Temp5=R21
.def	Temp6=R22			
.def	Temp7=R23		
.def	Temp8=R24
.def	Temp9=R25


.dseg					; 

OZU: .byte 2				;  2   


;******************************************************************************


.cseg			

.org 0					; External Pin, Power-on Reset, Brown-out Reset, and Watchdog Reset

rjmp RESET				



.org ADCCaddr				; ADC Conversion Complete

rjmp ADC_2


.org INT_VECTORS_SIZE			;   


;******************************************************************************
; 
;******************************************************************************

reset:					;  



	cli				;    


	ldi Temp,low(RamEnd)		;  	
	out SPL,Temp			;

	
	ldi Temp,0b00010000		;   "" (0-, 1-)
	out DDRB,Temp			; 000000 - "" 
					; 0000000 - ""   
					; 0000000 - ""  (ADC2)
				



	ldi Temp,0b00000000		;  !
	out PortB,Temp			; 




	RCALL	LCD_INIT		;  

;_______________________________________________________________________________________________________________



	ldi Temp,(2<<MUX0)		
	out ADMUX,Temp	
					; REFS0=0 /   5V 
					; ADLAR=0 /   ( 8     2    )
					; MUX1=1 
					; MUX0=0 /   ADC2 ( PB4 )


	

	ldi Temp, (1<<ADEN)|(1<<ADSC)|(1<<ADATE)|(1<<ADIE)|(6<<ADPS0)
	out ADCSRA,Temp
					; ADEN=1 /  
					; ADSC=1 /   
					; ADATE=1 /  
					; ADIF=0 /      
					; ADIE=1 /    
					; ADPS2=1
					; ADPS1=1
					; ADPS0=0 /   1/64



;	ldi Temp, (0<<ADTS0)
;	out ADCSRB,Temp
					; ACME=0 /      
					; ADTS2=0
					; ADTS1=0
					; ADTS0=0 /    (       )





;________________________________________________________________________________________________________________

	
	ldi Temp,(1<<cs10)		;    = CK 1:1 ( 1   = 1  )
	out TCCR1B,Temp	


	ldi Temp,0			;   
	out TCNT1H,Temp
	out TCNT1L,Temp



	sei				;   
	

;*******************************************************************************
;  
;*******************************************************************************


Main_cicle:


	
	rjmp Main_cicle			; 



;*******************************************************************************
;  
;*******************************************************************************

ADC_2:

	in temp4,SREG			;  "SREG"/////////////////////////////////////////////////////
	push temp4




	in zl,ADCL			;     "z"  "ADCH"  "ADCL"
	in zh,ADCH 



	ANDI zh,0b00000011		;  (     ?    ? )???????????????????????????????????????????????????????????????


	LDI R18, 0			; (Y)
	LDI R17, 0			; (X) 
	RCALL LCD_POS			;  


	rcall out_disp			;     16-  



	

	pop temp4			;  "SREG" ////////////////////////////////////////////////////
	out SREG, temp4


	reti



;**************************************************************************************************************
;      
;**************************************************************************************************************

out_disp:

	mov Temp, zL			;    ( ADCL )
	push Temp			;    

	mov Temp, zH			;    ( ADCH )
	rcall printhex			;    

	pop Temp			;  



printhex:

	push Temp			;   
	swap Temp			;        (SWAP -   )

	rcall printhex1			;    
	pop  Temp			;    


printhex1:				;  

	andi Temp, 0x0f			;  00001111 (  ) 
	rcall lcd_char			;    
	ret 


;*******************************************************************************




.include "lcd5110mini.asm"		;   	

